<?php

use Illuminate\Http\Request;
use Illuminate\Support\Facades\Route;
use App\Http\Controllers\HealthyPassPortController;

/*
|--------------------------------------------------------------------------
| API Routes
|--------------------------------------------------------------------------
|
| Here is where you can register API routes for your application. These
| routes are loaded by the RouteServiceProvider and all of them will
| be assigned to the "api" middleware group. Make something great!
|
*/

Route::middleware('auth:sanctum')->get('/user', function (Request $request) {
    return $request->user();
});

Route::prefix('survey')->group(function () {
    Route::prefix('healthyPassPort')->group(function () {
        Route::get('/profile', [HealthyPassPortController::class, 'profile']);
        Route::post('/post', [HealthyPassPortController::class, 'post']);
        Route::post('/stickerUpdate', [HealthyPassPortController::class, 'sticker']);
        Route::post('/clearProfile', [HealthyPassPortController::class, 'clearProfile']);
    });
});

